#
# spec file for package paprefs (Version 0.9.9)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           paprefs
BuildRequires:  gcc-c++
BuildRequires:  gconfmm-devel
BuildRequires:  intltool
BuildRequires:  libglademm-devel
BuildRequires:  libpulse-devel
BuildRequires:  update-desktop-files
Summary:        PulseAudio Preferences
Version:        0.9.9
Release:        2.6.1
License:        GPLv2+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://0pointer.de/lennart/projects/paprefs/
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM paprefs-packagekit.patch sreeves@novell.com -- Apply upstream patches to check for packagekit service
Patch0:         paprefs-packagekit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PulseAudio Preferences (paprefs) is a simple GTK based configuration
dialog for the PulseAudio sound server.

Please note that this program can only configure local servers, and
requires that a special module module-gconf is loaded in the sound
server.



Authors:
--------
    Lennart Poettering <mzcnzna@0pointer.de>

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-lynx
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%suse_update_desktop_file %{name} AudioVideo SystemSetup Mixer
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc LICENSE doc/README doc/README.html
%{_bindir}/*
%{_datadir}/paprefs
%{_datadir}/applications/*.desktop

%changelog
* Wed Feb 10 2010 sreeves@novell.com
- Add paprefs-packagekit.patch
    Only show install buttons if packagekit service is available
* Sat Sep 19 2009 sreeves@novell.com
- Update to version 0.9.9
  + wrap upnp mediaserver
  + implement basic packagekit support
* Thu Aug 20 2009 sreeves@novell.com
- Fix directory where we look for pulse modules
* Sat Aug 15 2009 beineri@opensuse.org
- put it into same start menu category than the other PA stuff
* Thu May  7 2009 vuntz@novell.com
- Review changes.
- Use parallel make.
- Use standard commands for clean section.
- Drop paprefs-0.9.6-libintl-fix.diff: not needed anymore,
  apparently.
- Drop paprefs-desktop-fix.diff and paprefs.png: there's no reason
  to change the icon like this. It was probably needed for a
  rpmlint warning, but it's fine now.
- Remove autoreconf call, which isn't needed anymore.
* Thu Apr 30 2009 opensuse@sukimashita.com
- Update to version 0.9.8:
  + Add RAOP (Apple Airport Express) enabling support
  + Updated translations
- Drop paprefs-speaker-setup.patch: this is obsoleted by pulseaudio
  0.9.15, see discussion at http://pulseaudio.org/ticket/164
* Mon Sep 15 2008 rodrigo@suse.de
- Update to version 0.9.7 (fate#303943):
  + Explicitly include libintl.h for FreeBSD compat
  + Modernize bootstrap.sh
  + Revert accidental license change
  + Minor updates
  + Updated translations
* Mon Jun  2 2008 rodrigo@suse.de
- Upstream patch that hadn't been upstreamed
* Wed May 14 2008 rodrigo@suse.de
- Added paprefs-speaker-setup.patch to add a GUI for setting
  different speaker setups (bnc#381686)
* Fri Jan 11 2008 rodrigo@suse.de
- Depend on libpulse-devel, not pulseaudio-devel
* Mon Nov  5 2007 tiwai@suse.de
- add missing inclusion of libintl.h
* Wed Oct 31 2007 tiwai@suse.de
- updated to version 0.9.6:
  * rework UI
  * add support to enable automatic zeroconf discovery
  * automatic device combination
  * i18n support
* Wed Jun 13 2007 tiwai@suse.de
- initial version: 0.9.5
